#!/bin/sh
# Example:
# $1 = file to decode
# $2 = parsed file to decode
# $3 = prune threshold
# $4 = ALL configs
# $5 = 3 -- training value of k
# $6 = 0.01 stepsize
# $7 = 10 words from null
# $8 = 5 words from other source words
# $9 = btec_english_lim15_3gram.lm language model
# ${10} = iteration number
# ${11} = suffix
# ${12} = decoding k
# ${13} = translation output file
# ${14} = length multiplier
# ${15} = use phrase features?
# ./train.sh lim15 2 100 ALL 3 0.01 10 5 btec_english_lim15_3gram.lm
./qgtrain \
lang2_file=/usr2/corpora/btec-de-en/en.train.lim15 \
lang1_file=/usr2/corpora/btec-de-en/$1 \
parsed_lang2_file=/usr2/corpora/btec-de-en/en.train.parsed.lim15 \
parsed_lang1_file=/usr2/corpora/btec-de-en/$2 \
lang2_tuning_file=/usr2/corpora/btec-de-en/en.dev.lim15 \
lang1_tuning_file=/usr2/corpora/btec-de-en/de1.dev.lim15 \
parsed_lang2_tuning_file=/usr2/corpora/btec-de-en/en.dev.parsed.lim15 \
parsed_lang1_tuning_file=/usr2/corpora/btec-de-en/de1.dev.parsed.lim15 \
lang2_word_class_file=/usr2/kgimpel/experiments/btec-de-en-lim15/corpus/en.train.lim15.vcb.classes \
lang1_word_class_file=/usr2/kgimpel/experiments/btec-de-en-lim15/corpus/de1.train.lim15.vcb.classes \
src_given_tgt_lex_file=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/lex.0-0.n2f.filt.tune.k$5.s$6.null$7.src$8.${11} \
tgt_given_src_lex_file=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/lex.0-0.f2n.filt.tune.k$5.s$6.null$7.src$8.${11} \
src_given_tgt_lex_outfile=dummy \
tgt_given_src_lex_outfile=dummy \
lm_file=/usr2/kgimpel/experiments/lms/$9 \
phrasetable_file=/usr2/kgimpel/experiments/btec-de-en-lim15/model-mpl3/phrase-table.0-0 \
model_file=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/model.tune.k$5.s$6.null$7.src$8.${11}.${10} \
output_file=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/output/${13} \
use_phrase_features=${15} \
use_source_syntax=${16} \
use_target_syntax=${17} \
test=true \
multiplier=${14} \
prune_thresh=-10000.0 \
pruning_beam_width=$3 \
b=1 \
g=1 \
configs=$4 \
k=${12} 2> ./stderr.dec.p$3.m${14}.dk${12}.tk$5.s$6.null$7.src$8.${11}.${10}


