#!/bin/sh
# Example:
# $1 = lim15
# $2 = dev -- tuning data
# $3 = max num iters
# $4 = ALL
# $5 = 3
# $6 = 0.01
# $7 = 10
# $8 = 5
# $9 = btec_english_lim15_3gram.lm
# ${10} = L2 regularization
# ${11} = suffix
# ${12} = true == use phrase features
# ${13} = true == use source syntax
# ${14} = true == use target syntax
# ./train.sh lim15 2 100 ALL 3 0.01 10 5 btec_english_lim15_3gram.lm
./qgtrain \
lang2_file=/usr2/corpora/btec-de-en/en.train.$1 \
lang1_file=/usr2/corpora/btec-de-en/de1.train.$1 \
parsed_lang2_file=/usr2/corpora/btec-de-en/en.train.parsed.$1 \
parsed_lang1_file=/usr2/corpora/btec-de-en/de1.train.parsed.$1 \
lang2_tuning_file=/usr2/corpora/btec-de-en/en.$2.$1 \
lang1_tuning_file=/usr2/corpora/btec-de-en/de1.$2.$1 \
parsed_lang2_tuning_file=/usr2/corpora/btec-de-en/en.$2.parsed.$1 \
parsed_lang1_tuning_file=/usr2/corpora/btec-de-en/de1.$2.parsed.$1 \
output_file=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/model.tune.k$5.s$6.null$7.src$8.${11} \
lm_file=/usr2/kgimpel/experiments/lms/$9 \
phrasetable_file=/usr2/kgimpel/experiments/btec-de-en-lim15/model-mpl3/phrase-table.0-0 \
lang2_word_class_file=/usr2/kgimpel/experiments/btec-de-en-lim15/corpus/en.train.lim15.vcb.classes \
lang1_word_class_file=/usr2/kgimpel/experiments/btec-de-en-lim15/corpus/de1.train.lim15.vcb.classes \
src_given_tgt_lex_file=/usr2/kgimpel/experiments/btec-de-en-lim15/model-mpl3/lex.0-0.n2f \
tgt_given_src_lex_file=/usr2/kgimpel/experiments/btec-de-en-lim15/model-mpl3/lex.0-0.f2n \
src_given_tgt_lex_outfile=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/lex.0-0.n2f.filt.tune.k$5.s$6.null$7.src$8.${11} \
tgt_given_src_lex_outfile=/usr2/kgimpel/experiments/btec-de-en-lim15/qgmodels/lex.0-0.f2n.filt.tune.k$5.s$6.null$7.src$8.${11} \
max_from_null=$7 \
max_from_source=$8 \
use_phrase_features=${12} \
use_source_syntax=${13} \
use_target_syntax=${14} \
algorithm=ga \
l2reg=${10} \
initial_param=0.0 \
stepsize=$6 \
max_num_iters=$3 \
save_every_k=100000 \
configs=$4 \
b=1 \
g=1 \
k=$5 2> ./stderr.tune.k$5.s$6.null$7.src$8.${11}


